# Uses of Interface
org.astrogrid.samp.client.CallableClient

Packages that use CallableClient
Package
Description
org.astrogrid.samp.client
Classes required only for SAMP clients.
org.astrogrid.samp.hub
Classes required only for running a SAMP hub.
org.astrogrid.samp.test
Classes for testing.

## Uses of CallableClient in org.astrogrid.samp.client

Methods in org.astrogrid.samp.client with parameters of type CallableClient
Modifier and Type
Method
Description
`void`
HubConnection.`setCallable(CallableClient callable)`
Tells the hub how it can perform callbacks on the client by providing a CallableClient object.

## Uses of CallableClient in org.astrogrid.samp.hub

Methods in org.astrogrid.samp.hub that return CallableClient
Modifier and Type
Method
Description
`CallableClient`
HubClient.`getCallable()`
Returns the callable object which allows this client to receive callbacks.
Methods in org.astrogrid.samp.hub with parameters of type CallableClient
Modifier and Type
Method
Description
`protected void`
BasicHubService.`setCallable(HubClient caller, CallableClient callable)`
Does the work for the `setCallable` method of connections registered with this service.
`void`
HubClient.`setCallable(CallableClient callable)`
Sets the callable object which allows this client to receive callbacks.

## Uses of CallableClient in org.astrogrid.samp.test

Classes in org.astrogrid.samp.test that implement CallableClient
Modifier and Type
Class
Description
`class`
`Calculator`
Test client.